loci.formats.in.LeicaMicrosystemsMetadata

## Enum Dimension.DimensionKey

- java.lang.Object
- - java.lang.Enum<Dimension.DimensionKey>
  - - loci.formats.in.LeicaMicrosystemsMetadata.Dimension.DimensionKey

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Dimension.DimensionKey>
  Enclosing class:
    Dimension

      public static enum Dimension.DimensionKey
      extends java.lang.Enum<Dimension.DimensionKey>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `C`
    `S`
    `T`
    `X`
    `Y`
    `Z`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id`
    `char` | `token`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Dimension.DimensionKey` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Dimension.DimensionKey[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
    `static Dimension.DimensionKey` | `with(int id)`

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### X

          public static final Dimension.DimensionKey X

    - #### Y

          public static final Dimension.DimensionKey Y

    - #### Z

          public static final Dimension.DimensionKey Z

    - #### T

          public static final Dimension.DimensionKey T

    - #### C

          public static final Dimension.DimensionKey C

    - #### S

          public static final Dimension.DimensionKey S

  - ### Field Detail

    - #### id

          public int id

    - #### token

          public char token

  - ### Method Detail

    - #### values

          public static Dimension.DimensionKey[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Dimension.DimensionKey c : Dimension.DimensionKey.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Dimension.DimensionKey valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### with

          public static Dimension.DimensionKey with(int id)

Copyright © 2026 Open Microscopy Environment